GET /products/{id}/salestypeOverrides

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • id integer Required

    The ID of the product for which to retrieve sales type overrides

Responses

  • 200 application/json

    Sales type overrides retrieved successfully

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • productId integer Required

      The id of the product for which the override applies (see GET /products/{id})

    • salesTypeId integer Required

      The id of the sales type for which the override applies (see GET /salestypes/{id})

    • accountNumber integer Required

      The account number that should be used instead of the default account number for the sales type

GET /products/{id}/salestypeOverrides
curl \
 --request GET 'https://rest.api.24sevenoffice.com/v1/products/{id}/salestypeOverrides' \
 --header "Authorization: string"
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
[
  {
    "productId": 42,
    "salesTypeId": 42,
    "accountNumber": 42
  }
]